Bug 1277504 - (apigen/apigen) Review Request: apigen - PHP source code API generator
Review Request: apigen - PHP source code API generator
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
: Reopened
Depends On: nette/neon nette/di tracy/tracy latte/latte nette/mail nette/robot-loader 1277441 1277470 nette/bootstrap kukulich/fshl kdyby/events apigen/theme-bootstrap apigen/theme-default
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 08:34 EST by Remi Collet
Modified: 2016-05-02 18:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-30 19:53:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.log (76.35 KB, text/plain)
2016-04-12 14:58 EDT, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (38.61 KB, text/plain)
2016-04-12 14:58 EDT, Shawn Iwinski
no flags Details
fedora-review.txt (7.38 KB, text/plain)
2016-04-12 15:00 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2015-11-03 08:34:50 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/0732c92f75d44adad37a38bc6a7b98bbfe789965/php/nette/apigen/apigen.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/apigen-4.1.1-2.remi.src.rpm
Description: 
Smart and Readable Documentation for your PHP project.

Fedora Account System Username: remi
Comment 2 Shawn Iwinski 2016-04-12 14:58 EDT
Created attachment 1146615 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.0.0 DB built Mar 07 2016 07:28:32 CET
Comment 3 Shawn Iwinski 2016-04-12 14:58 EDT
Created attachment 1146616 [details]
phpcompatinfo-lib.log

phpCompatInfo version 5.0.0 DB built Mar 07 2016 07:28:32 CET
Comment 4 Shawn Iwinski 2016-04-12 15:00 EDT
Created attachment 1146617 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1277504
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Shawn Iwinski 2016-04-12 15:04:00 EDT
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/apigen(php-apigen-
     theme-bootstrap, php-apigen-theme-default), /usr/share/apigen/themes
     (php-apigen-theme-bootstrap, php-apigen-theme-default)

     Other packages are dependencies so no need to own directories.



[!]: Requires correct, justified where necessary.

     Per composer.json, change:
         Requires:       php-composer(symfony/yaml) >= 2.3
     to
         Requires:       php-composer(symfony/yaml) >= 2.6

     I believe this package needs to explicitly require php-cli



[!]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

     Fix changelog after initial import
Comment 7 Shawn Iwinski 2016-04-14 10:00:47 EDT
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Rpmlint is run on all rpms the build produces.



No blockers.

===== APPROVED =====
Comment 8 Remi Collet 2016-04-14 10:03:22 EDT
Thanks!

SCM requested on pkgdb
Comment 9 Till Maas 2016-04-14 17:44:58 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/apigen
Comment 10 Fedora Update System 2016-04-15 01:09:33 EDT
apigen-4.1.2-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bab63f328a
Comment 11 Fedora Update System 2016-04-15 01:09:40 EDT
apigen-4.1.2-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fe09dec891
Comment 12 Fedora Update System 2016-04-15 01:09:45 EDT
apigen-4.1.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-be375b8ab6
Comment 13 Fedora Update System 2016-04-15 01:09:50 EDT
apigen-4.1.2-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b5dc557c31
Comment 14 Fedora Update System 2016-04-15 19:22:19 EDT
apigen-4.1.2-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fe09dec891
Comment 15 Fedora Update System 2016-04-16 16:27:26 EDT
apigen-4.1.2-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b5dc557c31
Comment 16 Fedora Update System 2016-04-19 16:31:06 EDT
apigen-4.1.2-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-04-21 23:26:13 EDT
apigen-4.1.2-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bab63f328a
Comment 18 Fedora Update System 2016-04-22 16:58:41 EDT
apigen-4.1.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-be375b8ab6
Comment 19 Fedora Update System 2016-04-30 19:53:42 EDT
apigen-4.1.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2016-04-30 20:23:09 EDT
apigen-4.1.2-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2016-05-02 18:39:15 EDT
apigen-4.1.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.